internal::key_to_count_functor< K > Struct Template Reference

`#include <_flow_graph_join_impl.h>`

Collaboration diagram for internal::key_to_count_functor< K >:

## Public Types

typedef count_element< K > | table_item_type

## Public Member Functions

const K & | operator() (const table_item_type &v)

## Detailed Description

### template<typename K>
struct internal::key_to_count_functor< K >

Definition at line 650 of file _flow_graph_join_impl.h.

## Member Typedef Documentation

## table_item_type

template<typename K >

typedef count_element<K> internal::key_to_count_functor< K >::table_item_type

Definition at line 651 of file _flow_graph_join_impl.h.

## Member Function Documentation

## operator()()

template<typename K >

const K& internal::key_to_count_functor< K >::operator() | ( | const table_item_type & | v | ) |

inline

Definition at line 652 of file _flow_graph_join_impl.h.

{ return v.my_key; }

References internal::count_element< K >::my_key.

The documentation for this struct was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.